Package ghidra.app.util.bin.format.objc2

# Class ObjectiveC2_ClassRW

java.lang.Object
ghidra.app.util.bin.format.objc2.ObjectiveC2_ClassRW

All Implemented Interfaces:
  `StructConverter`

public class ObjectiveC2_ClassRW extends Object implements StructConverter

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NAME`

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectiveC2_ClassRW()`
  `ObjectiveC2_ClassRW(ObjectiveC2_State state, BinaryReader reader)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `applyTo()`
  `ObjectiveC2_MethodList`
  `getBaseMethods()`
  `ObjectiveC2_PropertyList`
  `getBaseProperties()`
  `ObjectiveC2_ProtocolList`
  `getBaseProtocols()`
  `long`
  `getFlags()`
  `long`
  `getIndex()`
  `long`
  `getInstanceSize()`
  `long`
  `getInstanceStart()`
  `ObjectiveC2_InstanceVariableList`
  `getInstanceVariables()`
  `String`
  `getName()`
  `long`
  `getReserved()`
  `long`
  `getWeakIvarLayout()`
  `DataType`
  `toDataType()`
  Returns a structure datatype representing the contents of the implementor of this interface.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAME

    public static final String NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ObjectiveC2_ClassRW

    public ObjectiveC2_ClassRW()

  - ### ObjectiveC2_ClassRW

    public ObjectiveC2_ClassRW(ObjectiveC2_State state, BinaryReader reader) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### getIndex

    public long getIndex()

  - ### getName

    public String getName()

  - ### getFlags

    public long getFlags()

  - ### getInstanceStart

    public long getInstanceStart()

  - ### getInstanceSize

    public long getInstanceSize()

  - ### getReserved

    public long getReserved()

  - ### getWeakIvarLayout

    public long getWeakIvarLayout()

  - ### getBaseMethods

    public ObjectiveC2_MethodList getBaseMethods()

  - ### getBaseProtocols

    public ObjectiveC2_ProtocolList getBaseProtocols()

  - ### getInstanceVariables

    public ObjectiveC2_InstanceVariableList getInstanceVariables()

  - ### getBaseProperties

    public ObjectiveC2_PropertyList getBaseProperties()

  - ### toDataType

    public DataType toDataType() throws DuplicateNameException, IOException
    Description copied from interface: `StructConverter`
    Returns a structure datatype representing the contents of the implementor of this interface.

    For example, given:

         class A {
             int foo;
             double bar;
         }

    The return value should be a structure data type with two data type components; an INT and a DOUBLE. The structure should contain field names and, if possible, field comments.

    Specified by:
      `toDataType` in interface `StructConverter`
    Returns:
      returns a structure datatype representing the implementor of this interface
    Throws:
      `DuplicateNameException` - when a datatype of the same name already exists
      `IOException` - if an IO-related error occurs
    See Also:
      - `StructureDataType`

  - ### applyTo

    public void applyTo() throws Exception
    Throws:
      `Exception`